> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update compliance check



## OpenAPI

````yaml /openapi.json patch /compliance/checks/{checkId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /compliance/checks/{checkId}:
    patch:
      tags:
        - compliance
      summary: Update compliance check
      operationId: ComplianceController_updateCheck
      parameters:
        - name: checkId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateComplianceCheckInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateComplianceCheckOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CheckNotFoundErrorDto'
              examples:
                CHECK_NOT_FOUND:
                  $ref: '#/components/schemas/CheckNotFoundErrorDto'
          description: ''
components:
  schemas:
    UpdateComplianceCheckInputBody:
      type: object
      properties:
        searchParams:
          type: object
        entityId:
          type: string
        target:
          type: string
        internalId:
          type: string
          description: Internal ID of the individual or organization
        tags:
          type: string
          description: Tags
        data:
          $ref: '#/components/schemas/ComplianceDataItem'
      required:
        - searchParams
        - entityId
        - target
    UpdateComplianceCheckOutput:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        entityId:
          type: string
        target:
          type: string
        provider:
          type: string
        searchKey:
          type: string
        alertIds:
          description: Array of alert IDs associated with this check
          type: array
          items:
            type: string
      required:
        - type
        - id
        - createdAt
        - entityId
        - target
        - provider
        - searchKey
    CheckNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CHECK_NOT_FOUND
        message:
          type: string
          example: Check not found {checkId} for tenant {tenantId}
        details:
          $ref: '#/components/schemas/CheckNotFoundDto'
      required:
        - code
        - message
        - details
    ComplianceDataItem:
      type: object
      properties:
        lists:
          type: array
          items:
            type: string
        comment:
          type: string
        externalId:
          type: string
        rawdata:
          type: array
          items:
            type: object
      required:
        - lists
    CheckNotFoundDto:
      type: object
      properties:
        checkId:
          type: string
        tenantId:
          type: string
        alertId:
          type: string
      required:
        - checkId
        - tenantId

````